Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class SVGConverterURLSource

    java.lang.Object
      org.apache.batik.apps.rasterizer.SVGConverterURLSource

All Implemented Interfaces:
  SVGConverterSource

    public class SVGConverterURLSource

extends Object
implements SVGConverterSource

Field Summary
`static String` | `ERROR_INVALID_URL`
`protected static String` | `SVG_EXTENSION` SVG file extension
`protected static String` | `SVGZ_EXTENSION`

Constructor Summary
`SVGConverterURLSource(String url)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getName()` Returns the name of the source.
`String` | `getURI()` Returns a URI string corresponding to this source
`int` | `hashCode()`
`boolean` | `isReadable()` Checks if source can be read
`boolean` | `isSameAs(String srcStr)` Checks if same as source described by srcStr
`InputStream` | `openStream()` Gets a `TranscoderInput` for that source
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SVG_EXTENSION

    protected static final String SVG_EXTENSION

  SVG file extension

  See Also:
    Constant Field Values

### SVGZ_EXTENSION

    protected static final String SVGZ_EXTENSION

See Also:
  Constant Field Values

### ERROR_INVALID_URL

    public static final String ERROR_INVALID_URL

See Also:
  Constant Field Values

Constructor Detail

### SVGConverterURLSource

    public SVGConverterURLSource(String url)
                          throws SVGConverterException

Throws:
  `SVGConverterException`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getURI

    public String getURI()

  Description copied from interface: `SVGConverterSource`
  Returns a URI string corresponding to this source

  Specified by:
    `getURI` in interface `SVGConverterSource`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### openStream

    public InputStream openStream()
                           throws IOException

  Description copied from interface: `SVGConverterSource`
  Gets a `TranscoderInput` for that source

  Specified by:
    `openStream` in interface `SVGConverterSource`
  Throws:
    `IOException`

### isSameAs

    public boolean isSameAs(String srcStr)

  Description copied from interface: `SVGConverterSource`
  Checks if same as source described by srcStr

  Specified by:
    `isSameAs` in interface `SVGConverterSource`

### isReadable

    public boolean isReadable()

  Description copied from interface: `SVGConverterSource`
  Checks if source can be read

  Specified by:
    `isReadable` in interface `SVGConverterSource`

### getName

    public String getName()

  Description copied from interface: `SVGConverterSource`
  Returns the name of the source. That would be the name for a File or URL

  Specified by:
    `getName` in interface `SVGConverterSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.